

#include "BUILTIN.h"
extern OBJ __AStruct_35;
extern OBJ _AStruct_46(OBJ);extern OBJ __AStruct_46;
extern OBJ _AStruct_47(OBJ);extern OBJ __AStruct_47;
extern OBJ _AStruct_48(OBJ);extern OBJ __AStruct_48;
extern OBJ _AImpl_182(OBJ,OBJ);extern OBJ __AImpl_182;
extern OBJ _AImpl_183(OBJ,OBJ);extern OBJ __AImpl_183;
extern OBJ _AImpl_184(OBJ,OBJ);extern OBJ __AImpl_184;
extern OBJ _AImpl_185(OBJ,OBJ);extern OBJ __AImpl_185;
extern OBJ _AImpl_186(OBJ,OBJ);extern OBJ __AImpl_186;
extern OBJ _AImpl_187(OBJ,OBJ);extern OBJ __AImpl_187;
extern OBJ _AImpl_188(OBJ,OBJ);extern OBJ __AImpl_188;
extern OBJ _AImpl_189(OBJ,OBJ);extern OBJ __AImpl_189;
extern OBJ _AImpl_190(OBJ,OBJ);extern OBJ __AImpl_190;
extern OBJ _AImpl_192(OBJ,OBJ);extern OBJ __AImpl_192;
extern OBJ _AImpl_367(OBJ,OBJ,OBJ);extern OBJ __AImpl_367;
extern OBJ __AImpl_373;
extern OBJ _AFct_45(OBJ,OBJ,OBJ);extern OBJ __AFct_45;
extern OBJ _APartName_28(OBJ);extern OBJ __APartName_28;
extern OBJ _APartName_29(OBJ);extern OBJ __APartName_29;
extern OBJ __APartName_60;
extern OBJ __APartName_61;
extern OBJ _APragma_10(OBJ);extern OBJ __APragma_10;
extern OBJ _ARep_119(OBJ);extern OBJ __ARep_119;

#include "Char.h"

#include "Nat.h"

#include "Bitset.h"
extern OBJ _AGlobPragma_14(OBJ,OBJ);extern OBJ __AGlobPragma_14;
extern OBJ _ASeqReduce_3(OBJ,OBJ,OBJ);extern OBJ __ASeqReduce_3;
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;

#include "Denotation.h"

#include "CharConv.h"

#include "Array.h"

#include "Int.h"
OBJ __AAbsy_2; /* noAbsy */
extern OBJ _AAbsy_3(OBJ);OBJ __AAbsy_3; /* noAbsy? */
extern OBJ _AAbsy_4(OBJ,OBJ);OBJ __AAbsy_4; /* Relation */
extern OBJ _AAbsy_5(OBJ);OBJ __AAbsy_5; /* Relation? */
extern OBJ _AAbsy_6(OBJ);OBJ __AAbsy_6; /* import */
extern OBJ _AAbsy_7(OBJ);OBJ __AAbsy_7; /* type */
extern OBJ _AAbsy_8(OBJ);OBJ __AAbsy_8; /* Spc */
extern OBJ _AAbsy_9(OBJ);OBJ __AAbsy_9; /* Spc? */
extern OBJ _AAbsy_10(OBJ);OBJ __AAbsy_10; /* spc */
extern OBJ _AAbsy_11(OBJ,OBJ);OBJ __AAbsy_11; /* NameSpec */
extern OBJ _AAbsy_12(OBJ);OBJ __AAbsy_12; /* NameSpec? */
extern OBJ _AAbsy_14(OBJ);OBJ __AAbsy_14; /* pName */
extern OBJ _AAbsy_15(OBJ);OBJ __AAbsy_15; /* ProofBody */
extern OBJ _AAbsy_16(OBJ);OBJ __AAbsy_16; /* ProofBody? */
extern OBJ _AAbsy_17(OBJ);OBJ __AAbsy_17; /* pb */
extern OBJ _AAbsy_18(OBJ);OBJ __AAbsy_18; /* ProofHead */
extern OBJ _AAbsy_19(OBJ);OBJ __AAbsy_19; /* ProofHead? */
extern OBJ _AAbsy_20(OBJ);OBJ __AAbsy_20; /* ph */
extern OBJ _AAbsy_21(OBJ);OBJ __AAbsy_21; /* GPragma */
extern OBJ _AAbsy_22(OBJ);OBJ __AAbsy_22; /* GPragma? */
extern OBJ _AAbsy_23(OBJ);OBJ __AAbsy_23; /* pi */
extern OBJ _AAbsy_24(OBJ);OBJ __AAbsy_24; /* Pragma */
extern OBJ _AAbsy_25(OBJ);OBJ __AAbsy_25; /* Pragma? */
extern OBJ _AAbsy_26(OBJ);OBJ __AAbsy_26; /* p */
extern OBJ _AAbsy_27(OBJ);OBJ __AAbsy_27; /* Pos */
extern OBJ _AAbsy_28(OBJ);OBJ __AAbsy_28; /* Pos? */
extern OBJ _AAbsy_29(OBJ);OBJ __AAbsy_29; /* p,1 */
extern OBJ _AAbsy_30(OBJ);OBJ __AAbsy_30; /* Guards */
extern OBJ _AAbsy_31(OBJ);OBJ __AAbsy_31; /* Guards? */
extern OBJ _AAbsy_32(OBJ);OBJ __AAbsy_32; /* g */
extern OBJ _AAbsy_33(OBJ);OBJ __AAbsy_33; /* Expr */
extern OBJ _AAbsy_34(OBJ);OBJ __AAbsy_34; /* Expr? */
extern OBJ _AAbsy_35(OBJ);OBJ __AAbsy_35; /* e */
extern OBJ _AAbsy_36(OBJ);OBJ __AAbsy_36; /* LawSeq */
extern OBJ _AAbsy_37(OBJ);OBJ __AAbsy_37; /* LawSeq? */
extern OBJ _AAbsy_38(OBJ);OBJ __AAbsy_38; /* ls */
extern OBJ _AAbsy_39(OBJ);OBJ __AAbsy_39; /* Formula */
extern OBJ _AAbsy_40(OBJ);OBJ __AAbsy_40; /* Formula? */
extern OBJ _AAbsy_41(OBJ);OBJ __AAbsy_41; /* f */
extern OBJ _AAbsy_42(OBJ);OBJ __AAbsy_42; /* EqSeq */
extern OBJ _AAbsy_43(OBJ);OBJ __AAbsy_43; /* EqSeq? */
extern OBJ _AAbsy_44(OBJ);OBJ __AAbsy_44; /* eqs */
extern OBJ _AAbsy_45(OBJ);OBJ __AAbsy_45; /* Comps */
extern OBJ _AAbsy_46(OBJ);OBJ __AAbsy_46; /* Comps? */
extern OBJ _AAbsy_47(OBJ);OBJ __AAbsy_47; /* comps */
extern OBJ _AAbsy_48(OBJ);OBJ __AAbsy_48; /* Variants */
extern OBJ _AAbsy_49(OBJ);OBJ __AAbsy_49; /* Variants? */
extern OBJ _AAbsy_50(OBJ);OBJ __AAbsy_50; /* variants */
extern OBJ _AAbsy_51(OBJ);OBJ __AAbsy_51; /* Data */
extern OBJ _AAbsy_52(OBJ);OBJ __AAbsy_52; /* Data? */
extern OBJ _AAbsy_53(OBJ);OBJ __AAbsy_53; /* data */
extern OBJ _AAbsy_54(OBJ);OBJ __AAbsy_54; /* Type */
extern OBJ _AAbsy_55(OBJ);OBJ __AAbsy_55; /* Type? */
extern OBJ _AAbsy_56(OBJ);OBJ __AAbsy_56; /* type,1 */
extern OBJ _AAbsy_57(OBJ);OBJ __AAbsy_57; /* Import */
extern OBJ _AAbsy_58(OBJ);OBJ __AAbsy_58; /* Import? */
extern OBJ _AAbsy_60(OBJ);OBJ __AAbsy_60; /* Fct */
extern OBJ _AAbsy_61(OBJ);OBJ __AAbsy_61; /* Fct? */
extern OBJ _AAbsy_62(OBJ);OBJ __AAbsy_62; /* what */
extern OBJ _AAbsy_63(OBJ);OBJ __AAbsy_63; /* Origin */
extern OBJ _AAbsy_64(OBJ);OBJ __AAbsy_64; /* Origin? */
extern OBJ _AAbsy_65(OBJ);OBJ __AAbsy_65; /* origin */
extern OBJ _AAbsy_66(OBJ);OBJ __AAbsy_66; /* Kind */
extern OBJ _AAbsy_67(OBJ);OBJ __AAbsy_67; /* Kind? */
extern OBJ _AAbsy_68(OBJ);OBJ __AAbsy_68; /* kind */
extern OBJ _AAbsy_69(OBJ);OBJ __AAbsy_69; /* NameSeq */
extern OBJ _AAbsy_70(OBJ);OBJ __AAbsy_70; /* NameSeq? */
extern OBJ _AAbsy_71(OBJ);OBJ __AAbsy_71; /* nSeq */
extern OBJ _AAbsy_72(OBJ);OBJ __AAbsy_72; /* Name */
extern OBJ _AAbsy_73(OBJ);OBJ __AAbsy_73; /* Name? */
extern OBJ _AAbsy_75(OBJ);OBJ __AAbsy_75; /* Struct */
extern OBJ _AAbsy_76(OBJ);OBJ __AAbsy_76; /* Struct? */
extern OBJ _AAbsy_77(OBJ);OBJ __AAbsy_77; /* struct */
extern OBJ _AAbsy_78(OBJ);OBJ __AAbsy_78; /* structOf */
extern OBJ _AAbsy_79(OBJ);OBJ __AAbsy_79; /* ` */
extern OBJ _AAbsy_80(OBJ);OBJ __AAbsy_80; /* `'80 */
OBJ __AAbsy_81; /* `'81 */
extern OBJ _AAbsy_82(OBJ);OBJ __AAbsy_82; /* `'82 */
extern OBJ _AAbsy_83(OBJ);OBJ __AAbsy_83; /* `'83 */
extern OBJ _AAbsy_84(OBJ);OBJ __AAbsy_84; /* `'84 */
OBJ __AAbsy_85; /* `'85 */
OBJ __AAbsy_86; /* `'86 */
OBJ __AAbsy_87; /* `'87 */
extern OBJ _AAbsy_88(OBJ);OBJ __AAbsy_88; /* `'88 */
OBJ __AAbsy_89; /* `'89 */
extern OBJ _AAbsy_90(OBJ);OBJ __AAbsy_90; /* `'90 */
extern OBJ _AAbsy_91(OBJ);OBJ __AAbsy_91; /* `'91 */
OBJ __AAbsy_92; /* `'92 */
OBJ __AAbsy_93; /* `'93 */
extern OBJ _AAbsy_94(OBJ);OBJ __AAbsy_94; /* `'94 */
extern OBJ _AAbsy_95(OBJ);OBJ __AAbsy_95; /* `'95 */
extern OBJ _AAbsy_96(OBJ);OBJ __AAbsy_96; /* `'96 */
OBJ __AAbsy_97; /* `'97 */

extern OBJ _AAbsy_3(OBJ x1) /* noAbsy? */
{OBJ r;
 if(ISPRM(x1)){
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_4(OBJ x1,OBJ x2) /* Relation */
{OBJ r;
 PRD(2,23,r);FLD(r,1)=x1;FLD(r,2)=x2;
 return r;}

extern OBJ _AAbsy_5(OBJ x1) /* Relation? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,23))){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_6(OBJ x1) /* import */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,6))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,23))){
   {OBJ x4=FLD(x1,2);
    if(EXPRD(x1,1)){
     r=x4;
     FRPRD(FLD(x1,1),1);DSPRDF(x1);
    }else{
     COPY(x4,1);
     r=x4;
     FRPRD(x1,1);}}
  }else{
   HLT("Absy at <unknown> : undefined selection import\'Absy:absy->seq");}}
 return r;}

extern OBJ _AAbsy_7(OBJ x1) /* type */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,23))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    FREE(FLD(x1,2),1);DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection type\'Absy:absy->rep");}
 return r;}

extern OBJ _AAbsy_8(OBJ x1) /* Spc */
{OBJ r;
 PRD(1,22,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_9(OBJ x1) /* Spc? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,22))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_10(OBJ x1) /* spc */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,21))){
  {OBJ x3=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FREE(FLD(x1,1),1);DSPRDF(x1);
   }else{
    CPPRD(x3,1);
    r=x3;
    FRPRD(x1,1);}}
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,22))){
   {OBJ x4=FLD(x1,1);
    if(EXPRD(x1,1)){
     r=x4;
     DSPRDF(x1);
    }else{
     CPPRD(x4,1);
     r=x4;
     FRPRD(x1,1);}}
  }else{
   HLT("Absy at <unknown> : undefined selection spc\'Absy:absy->spc");}}
 return r;}

extern OBJ _AAbsy_11(OBJ x1,OBJ x2) /* NameSpec */
{OBJ r;
 PRD(2,21,r);FLD(r,1)=x1;FLD(r,2)=x2;
 return r;}

extern OBJ _AAbsy_12(OBJ x1) /* NameSpec? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,21))){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_14(OBJ x1) /* pName */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,21)||ISTGPRD(x1,1))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    FLD(x1,1)=NIL;DSPRD(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection pName\'Absy:absy->partName");}
 return r;}

extern OBJ _AAbsy_15(OBJ x1) /* ProofBody */
{OBJ r;
 PRD(1,20,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_16(OBJ x1) /* ProofBody? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,20))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_17(OBJ x1) /* pb */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,20))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection pb\'Absy:absy->proofBody");}
 return r;}

extern OBJ _AAbsy_18(OBJ x1) /* ProofHead */
{OBJ r;
 PRD(1,19,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_19(OBJ x1) /* ProofHead? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,19))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_20(OBJ x1) /* ph */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,19))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection ph\'Absy:absy->proofHead");}
 return r;}

extern OBJ _AAbsy_21(OBJ x1) /* GPragma */
{OBJ r;
 PRD(1,18,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_22(OBJ x1) /* GPragma? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,18))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_23(OBJ x1) /* pi */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,18))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection pi\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_24(OBJ x1) /* Pragma */
{OBJ r;
 PRD(1,17,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_25(OBJ x1) /* Pragma? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,17))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_26(OBJ x1) /* p */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,17))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection p\'Absy:absy->pragma");}
 return r;}

extern OBJ _AAbsy_27(OBJ x1) /* Pos */
{OBJ r;
 PRD(1,16,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_28(OBJ x1) /* Pos? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,16))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_29(OBJ x1) /* p,1 */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,16))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection p\'Absy:absy->pos");}
 return r;}

extern OBJ _AAbsy_30(OBJ x1) /* Guards */
{OBJ r;
 PRD(1,15,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_31(OBJ x1) /* Guards? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,15))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_32(OBJ x1) /* g */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,15))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection g\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_33(OBJ x1) /* Expr */
{OBJ r;
 PRD(1,14,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_34(OBJ x1) /* Expr? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,14))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_35(OBJ x1) /* e */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,14))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection e\'Absy:absy->expr");}
 return r;}

extern OBJ _AAbsy_36(OBJ x1) /* LawSeq */
{OBJ r;
 PRD(1,13,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_37(OBJ x1) /* LawSeq? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,13))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_38(OBJ x1) /* ls */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,13))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection ls\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_39(OBJ x1) /* Formula */
{OBJ r;
 PRD(1,12,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_40(OBJ x1) /* Formula? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,12))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_41(OBJ x1) /* f */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,12))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
 return r;}

extern OBJ _AAbsy_42(OBJ x1) /* EqSeq */
{OBJ r;
 PRD(1,11,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_43(OBJ x1) /* EqSeq? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,11))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_44(OBJ x1) /* eqs */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,11))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection eqs\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_45(OBJ x1) /* Comps */
{OBJ r;
 PRD(1,10,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_46(OBJ x1) /* Comps? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,10))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_47(OBJ x1) /* comps */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,10))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection comps\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_48(OBJ x1) /* Variants */
{OBJ r;
 PRD(1,9,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_49(OBJ x1) /* Variants? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,9))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_50(OBJ x1) /* variants */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,9))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection variants\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_51(OBJ x1) /* Data */
{OBJ r;
 PRD(1,8,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_52(OBJ x1) /* Data? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,8))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_53(OBJ x1) /* data */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,8))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection data\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_54(OBJ x1) /* Type */
{OBJ r;
 PRD(1,7,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_55(OBJ x1) /* Type? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,7))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_56(OBJ x1) /* type,1 */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,7))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection type\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_57(OBJ x1) /* Import */
{OBJ r;
 PRD(1,6,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_58(OBJ x1) /* Import? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,6))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_60(OBJ x1) /* Fct */
{OBJ r;
 PRD(1,5,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_61(OBJ x1) /* Fct? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,5))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_62(OBJ x1) /* what */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,5))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection what\'Absy:absy->fct");}
 return r;}

extern OBJ _AAbsy_63(OBJ x1) /* Origin */
{OBJ r;
 PRD(1,4,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_64(OBJ x1) /* Origin? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,4))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_65(OBJ x1) /* origin */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,4))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection origin\'Absy:absy->origin");}
 return r;}

extern OBJ _AAbsy_66(OBJ x1) /* Kind */
{OBJ r;
 PRD(1,3,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_67(OBJ x1) /* Kind? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,3))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_68(OBJ x1) /* kind */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,3))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection kind\'Absy:absy->kind");}
 return r;}

extern OBJ _AAbsy_69(OBJ x1) /* NameSeq */
{OBJ r;
 PRD(1,2,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_70(OBJ x1) /* NameSeq? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_71(OBJ x1) /* nSeq */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection nSeq\'Absy:absy->seq");}
 return r;}

extern OBJ _AAbsy_72(OBJ x1) /* Name */
{OBJ r;
 PRD(1,1,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_73(OBJ x1) /* Name? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,1))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_75(OBJ x1) /* Struct */
{OBJ r;
 PRD(1,0,r);FLD(r,1)=x1;
 return r;}

extern OBJ _AAbsy_76(OBJ x1) /* Struct? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,0))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AAbsy_77(OBJ x1) /* struct */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,0))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Absy at <unknown> : undefined selection struct\'Absy:absy->struct");}
 return r;}

extern OBJ _AAbsy_78(OBJ x1) /* structOf */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,0))){
  {OBJ x5=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x5;
    DSPRDF(x1);
   }else{
    COPY(x5,1);
    r=x5;
    FRPRD(x1,1);}}
 }else{
  FREE(x1,1);
  r=__AStruct_35;}
 return r;}

extern OBJ _AAbsy_79(OBJ x1) /* ` */
{OBJ r;
 if(ISPRM(x1)){
  CPPRD(__AAbsy_87,1);
  r=__AAbsy_87;
 }else{
  switch(TGPRD(x1)){
   case 15:
    {OBJ x776=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x776,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_82,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x777;OBJ x778;
      x777=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_82,1))(__AAbsy_82,__ABUILTIN_20);
      x778=_ASeqMap_3(x777,x776);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x778);}}break;
   case 19:
    {OBJ x779=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      CPPRD(x779,1);
      FRPRD(x1,1);}
     CPCLS(__APartName_28,1);
     r=_AImpl_189(__APartName_28,x779);}break;
   case 21:
    {OBJ x780=FLD(x1,1);OBJ x781=FLD(x1,2);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x780,1);CPPRD(x781,1);
      FRPRD(x1,1);}
     CPCLS(__APartName_28,1);
     CPPRD(__APartName_60,1);
     CPPRD(__APartName_61,1);
     {OBJ x783;OBJ x784;OBJ x785;OBJ x786;
      x783=_APartName_28(x780);
      x784=_AImpl_188(__APartName_28,x781);
      ADenotation_4(x784,__APartName_60,x785);
      ADenotation_4(x783,x785,x786);
      ADenotation_4(__APartName_61,x786,r);}}break;
   case 23:
    {OBJ x787=FLD(x1,1);OBJ x788=FLD(x1,2);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      CPPRD(x787,1);COPY(x788,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_84,1);
     CPPRD(__AAbsy_85,1);
     CPPRD(__AAbsy_86,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x789;OBJ x790;OBJ x791;OBJ x792;OBJ x793;
      x789=_ARep_119(x787);
      x790=_ASeqMap_3(__AAbsy_84,x788);
      x791=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x790);
      ADenotation_4(__AAbsy_85,x791,x792);
      ADenotation_4(x789,x792,x793);
      ADenotation_4(__AAbsy_86,x793,r);}}break;
   case 22:
    {OBJ x794=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      CPPRD(x794,1);
      FRPRD(x1,1);}
     CPCLS(__APartName_28,1);
     r=_AImpl_188(__APartName_28,x794);}break;
   case 20:
    {OBJ x795=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      CPPRD(x795,1);
      FRPRD(x1,1);}
     CPCLS(__APartName_28,1);
     r=_AImpl_190(__APartName_28,x795);}break;
   case 17:
    {OBJ x796=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x796,1);
      FRPRD(x1,1);}
     r=_APragma_10(x796);}break;
   case 18:
    {OBJ x797=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x797,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_88,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x798;
      x798=_ASeqMap_3(__AAbsy_88,x797);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x798);}}break;
   case 16:
    if(EXPRD(x1,1)){
     FREE(FLD(x1,1),1);DSPRDF(x1);
    }else{
     DCPRD(x1,1);}
    CPPRD(__AAbsy_89,1);
    r=__AAbsy_89;break;
   case 11:
    {OBJ x800=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x800,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_90,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x801;OBJ x802;
      x801=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_90,1))(__AAbsy_90,__ABUILTIN_20);
      x802=_ASeqMap_3(x801,x800);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x802);}}break;
   case 13:
    {OBJ x803=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x803,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_91,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x804;OBJ x805;
      x804=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_91,1))(__AAbsy_91,__ABUILTIN_20);
      x805=_ASeqMap_3(x804,x803);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x805);}}break;
   case 14:
    {OBJ x806=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      CPPRD(x806,1);
      FRPRD(x1,1);}
     CPPRD(__AImpl_373,1);
     CPCLS(__APartName_28,1);
     r=_AImpl_367(__APartName_28,x806,__AImpl_373);}break;
   case 12:
    {OBJ x807=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      CPPRD(x807,1);
      FRPRD(x1,1);}
     CPPRD(__AAbsy_92,1);
     CPPRD(__AAbsy_93,1);
     CPCLS(__APartName_28,1);
     {OBJ x808;OBJ x809;
      x808=_AImpl_187(__APartName_28,x807);
      ADenotation_4(x808,__AAbsy_92,x809);
      ADenotation_4(__AAbsy_93,x809,r);}}break;
   case 9:
    {OBJ x810=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x810,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_94,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x811;OBJ x812;
      x811=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_94,1))(__AAbsy_94,__ABUILTIN_20);
      x812=_ASeqMap_3(x811,x810);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x812);}}break;
   case 10:
    {OBJ x813=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x813,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_95,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x814;OBJ x815;
      x814=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_95,1))(__AAbsy_95,__ABUILTIN_20);
      x815=_ASeqMap_3(x814,x813);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x815);}}break;
   case 8:
    {OBJ x816=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x816,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_80,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x817;OBJ x818;
      x817=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_80,1))(__AAbsy_80,__ABUILTIN_20);
      x818=_ASeqMap_3(x817,x816);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x818);}}break;
   case 3:
    {OBJ x819=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x819,1);
      FRPRD(x1,1);}
     r=_APartName_29(x819);}break;
   case 5:
    {OBJ x820=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x820,1);
      FRPRD(x1,1);}
     CPCLS(__APartName_28,1);
     r=_AFct_45(__APartName_28,__ABUILTIN_3,x820);}break;
   case 6:
    {OBJ x821=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x821,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_96,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x822;
      x822=_ASeqMap_3(__AAbsy_96,x821);
      r=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x822);}}break;
   case 4:
    {OBJ x823=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x823,1);
      FRPRD(x1,1);}
     r=_AStruct_48(x823);}break;
   case 1:
    {OBJ x824=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x824,1);
      FRPRD(x1,1);}
     r=_APartName_28(x824);}break;
   case 2:
    {OBJ x825=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x825,1);
      FRPRD(x1,1);}
     CPPRD(__AAbsy_97,1);
     CPCLS(__APartName_28,1);
     CPPRD(__APartName_60,1);
     CPPRD(__APartName_61,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x826;OBJ x827;OBJ x828;
      x826=_ASeqMap_3(__APartName_28,x825);
      x827=_ASeqReduce_3(__ADenotation_4,__AAbsy_97,x826);
      ADenotation_4(x827,__APartName_60,x828);
      ADenotation_4(__APartName_61,x828,r);}}break;
   case 0:
    {OBJ x829=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x829,1);
      FRPRD(x1,1);}
     r=_AStruct_46(x829);}break;
   default: 
    {OBJ x772=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x772,1);
      FRPRD(x1,1);}
     CPCLS(__AAbsy_80,1);
     CPPRD(__AAbsy_81,1);
     CPPRD(__ADenotation_3,1);
     CPCLS(__ADenotation_4,1);
     {OBJ x773;OBJ x774;OBJ x775;
      x773=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_80,1))(__AAbsy_80,__ABUILTIN_20);
      x774=_ASeqMap_3(x773,x772);
      x775=_ASeqReduce_3(__ADenotation_4,__ADenotation_3,x774);
      ADenotation_4(__AAbsy_81,x775,r);}}}}
 return r;}

extern OBJ _AAbsy_80(OBJ x1) /* `'80 */
{OBJ r;
 CPCLS(__AImpl_182,1);
 CPCLS(__APartName_28,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_182,1))(__AImpl_182,__APartName_28);
 return r;}

extern OBJ _AAbsy_82(OBJ x1) /* `'82 */
{OBJ r;
 CPCLS(__AImpl_192,1);
 CPCLS(__APartName_28,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_192,1))(__AImpl_192,__APartName_28);
 return r;}

extern OBJ _AAbsy_83(OBJ x1) /* `'83 */
{OBJ r;
 ADenotation_1(__ANat_8,__AChar_7,r);
 return r;}

extern OBJ _AAbsy_84(OBJ x1) /* `'84 */
{OBJ r;
 CPCLS(__AAbsy_83,1);
 {OBJ x2;OBJ x3;
  x2=_AStruct_47(x1);
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_83,1))(__AAbsy_83,__ABUILTIN_20);
  ADenotation_4(x2,x3,r);}
 return r;}

extern OBJ _AAbsy_88(OBJ x1) /* `'88 */
{OBJ r;
 CPCLS(__APartName_28,1);
 r=_AGlobPragma_14(__APartName_28,x1);
 return r;}

extern OBJ _AAbsy_90(OBJ x1) /* `'90 */
{OBJ r;
 CPCLS(__AImpl_185,1);
 CPCLS(__APartName_28,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_185,1))(__AImpl_185,__APartName_28);
 return r;}

extern OBJ _AAbsy_91(OBJ x1) /* `'91 */
{OBJ r;
 CPCLS(__AImpl_186,1);
 CPCLS(__APartName_28,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_186,1))(__AImpl_186,__APartName_28);
 return r;}

extern OBJ _AAbsy_94(OBJ x1) /* `'94 */
{OBJ r;
 CPCLS(__AImpl_183,1);
 CPCLS(__APartName_28,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_183,1))(__AImpl_183,__APartName_28);
 return r;}

extern OBJ _AAbsy_95(OBJ x1) /* `'95 */
{OBJ r;
 CPCLS(__AImpl_184,1);
 CPCLS(__APartName_28,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImpl_184,1))(__AImpl_184,__APartName_28);
 return r;}

extern OBJ _AAbsy_96(OBJ x1) /* `'96 */
{OBJ r;
 CPCLS(__AAbsy_83,1);
 {OBJ x2;OBJ x3;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAbsy_83,1))(__AAbsy_83,__ABUILTIN_20);
  x3=_AStruct_47(x1);
  ADenotation_4(x3,x2,r);}
 return r;}


static OBJ _mt_1_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 {OBJ t3;
  DCCLS(t,1);
  t3=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(t3,1))(t3,t2);}
 return r;}

init_AAbsy()
{
 static int visited=0; if(visited) return; visited=1;
 init_AStruct();
 init_AImpl();
 init_AFct();
 init_APartName();
 init_APragma();
 init_AOcPos();
 init_ASeq();
 init_ARep();
 init_AChar();
 init_ANat();
 init_AOption();
 init_APair();
 init_ABitset();
 init_AGlobPragma();
 init_AMap();
 init_ASet();
 init_ASeqReduce();
 init_ASeqMap();
 init_ADenotation();
 init_ACharConv();
 init_ASetByBST();
 init_ABSTree();
 init_ATree();
 init_ASeqConv();
 init_AArray();
 init_AString();
 init_ALexem();
 init_AInt();
 LCLS(1,_AAbsy_95,__AAbsy_95);
 CLS(1,_AAbsy_31,__AAbsy_31);
 CLS(1,_AAbsy_63,__AAbsy_63);
 LCLS(1,_AAbsy_94,__AAbsy_94);
 CLS(1,_AAbsy_30,__AAbsy_30);
 CLS(1,_AAbsy_62,__AAbsy_62);
 DEN("(",__AAbsy_93);
 CLS(1,_AAbsy_29,__AAbsy_29);
 CLS(1,_AAbsy_61,__AAbsy_61);
 DEN(")",__AAbsy_92);
 CLS(1,_AAbsy_28,__AAbsy_28);
 CLS(1,_AAbsy_60,__AAbsy_60);
 LCLS(1,_AAbsy_91,__AAbsy_91);
 CLS(1,_AAbsy_27,__AAbsy_27);
 LCLS(1,_AAbsy_90,__AAbsy_90);
 CLS(1,_AAbsy_26,__AAbsy_26);
 CLS(1,_AAbsy_58,__AAbsy_58);
 DEN("Only Pos available",__AAbsy_89);
 CLS(1,_AAbsy_25,__AAbsy_25);
 CLS(1,_AAbsy_57,__AAbsy_57);
 CLS(1,_AAbsy_88,__AAbsy_88);
 CLS(1,_AAbsy_24,__AAbsy_24);
 CLS(1,_AAbsy_56,__AAbsy_56);
 DEN("No Absy available",__AAbsy_87);
 CLS(1,_AAbsy_23,__AAbsy_23);
 CLS(1,_AAbsy_55,__AAbsy_55);
 DEN("RELATION ",__AAbsy_86);
 CLS(1,_AAbsy_22,__AAbsy_22);
 CLS(1,_AAbsy_54,__AAbsy_54);
 DEN(" ",__AAbsy_85);
 CLS(1,_AAbsy_21,__AAbsy_21);
 CLS(1,_AAbsy_53,__AAbsy_53);
 CLS(1,_AAbsy_84,__AAbsy_84);
 CLS(1,_AAbsy_20,__AAbsy_20);
 CLS(1,_AAbsy_52,__AAbsy_52);
 LCLS(1,_AAbsy_83,__AAbsy_83);
 CLS(1,_AAbsy_19,__AAbsy_19);
 CLS(1,_AAbsy_51,__AAbsy_51);
 LCLS(1,_AAbsy_82,__AAbsy_82);
 CLS(1,_AAbsy_18,__AAbsy_18);
 CLS(1,_AAbsy_50,__AAbsy_50);
 DEN("TYPE ",__AAbsy_81);
 CLS(1,_AAbsy_17,__AAbsy_17);
 CLS(1,_AAbsy_49,__AAbsy_49);
 LCLS(1,_AAbsy_80,__AAbsy_80);
 CLS(1,_AAbsy_16,__AAbsy_16);
 CLS(1,_AAbsy_48,__AAbsy_48);
 CLS(1,_AAbsy_79,__AAbsy_79);
 CLS(1,_AAbsy_15,__AAbsy_15);
 CLS(1,_AAbsy_47,__AAbsy_47);
 CLS(1,_AAbsy_78,__AAbsy_78);
 CLS(1,_AAbsy_14,__AAbsy_14);
 CLS(1,_AAbsy_46,__AAbsy_46);
 CLS(1,_AAbsy_77,__AAbsy_77);
 CLS(1,_AAbsy_45,__AAbsy_45);
 CLS(1,_AAbsy_76,__AAbsy_76);
 CLS(1,_AAbsy_12,__AAbsy_12);
 CLS(1,_AAbsy_44,__AAbsy_44);
 CLS(1,_AAbsy_75,__AAbsy_75);
 CLS(2,_AAbsy_11,__AAbsy_11);
 CLS(1,_AAbsy_43,__AAbsy_43);
 CLS(1,_AAbsy_10,__AAbsy_10);
 CLS(1,_AAbsy_42,__AAbsy_42);
 CLS(1,_AAbsy_73,__AAbsy_73);
 CLS(1,_AAbsy_9,__AAbsy_9);
 CLS(1,_AAbsy_41,__AAbsy_41);
 CLS(1,_AAbsy_72,__AAbsy_72);
 CLS(1,_AAbsy_8,__AAbsy_8);
 CLS(1,_AAbsy_40,__AAbsy_40);
 CLS(1,_AAbsy_71,__AAbsy_71);
 CLS(1,_AAbsy_7,__AAbsy_7);
 CLS(1,_AAbsy_39,__AAbsy_39);
 CLS(1,_AAbsy_70,__AAbsy_70);
 CLS(1,_AAbsy_6,__AAbsy_6);
 CLS(1,_AAbsy_38,__AAbsy_38);
 CLS(1,_AAbsy_69,__AAbsy_69);
 CLS(1,_AAbsy_5,__AAbsy_5);
 CLS(1,_AAbsy_37,__AAbsy_37);
 CLS(1,_AAbsy_68,__AAbsy_68);
 CLS(2,_AAbsy_4,__AAbsy_4);
 CLS(1,_AAbsy_36,__AAbsy_36);
 CLS(1,_AAbsy_67,__AAbsy_67);
 CLS(1,_AAbsy_3,__AAbsy_3);
 CLS(1,_AAbsy_35,__AAbsy_35);
 CLS(1,_AAbsy_66,__AAbsy_66);
 CLS(1,_AAbsy_34,__AAbsy_34);
 DEN(",",__AAbsy_97);
 CLS(1,_AAbsy_33,__AAbsy_33);
 CLS(1,_AAbsy_65,__AAbsy_65);
 CLS(1,_AAbsy_96,__AAbsy_96);
 CLS(1,_AAbsy_32,__AAbsy_32);
 CLS(1,_AAbsy_64,__AAbsy_64);
 MTH(1,0,2,_mt_1_0_2);LZYMTH(1,0,2,_mt_1_0_2);
 PRM1(__AAbsy_2);}

